Skip to main content
POST
/
pwa
/
v3
/
projects
/
:project_slug
/
environments
/
:environment_slug
/
event_log_streaming
Create
curl --request POST \
  --url https://management.stytch.com/pwa/v3/projects/:project_slug/environments/:environment_slug/event_log_streaming \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "destination_type": "DATADOG",
  "destination_config": {
    "datadog": {
      "api_key": "<string>",
      "site": "US"
    },
    "grafana_loki": {
      "hostname": "<string>",
      "username": "<string>",
      "password": "<string>"
    }
  }
}
'
{
  "request_id": "<string>",
  "event_log_streaming_config": {
    "destination_type": "DATADOG",
    "destination_config": {
      "datadog": {
        "api_key": "<string>",
        "site": "US"
      },
      "grafana_loki": {
        "hostname": "<string>",
        "username": "<string>",
        "password": "<string>"
      }
    },
    "streaming_status": "ACTIVE"
  },
  "status_code": 123
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

project_slug
string
required
environment_slug
string
required

Body

application/json

Request type

destination_type
enum<string>
Available options:
DATADOG,
GRAFANA_LOKI
destination_config
object

Response

Successful response

Response type

request_id
string
required
event_log_streaming_config
object
required
status_code
integer<int32>
required